Subject: Re: bug#22395: 25.0.50; 'C-v' scrolls only a half of the window height

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Jan 2016 18:25:24 +0200

> Date: Sun, 17 Jan 2016 21:50:16 +0100
> From: Dani Moncayo <[email-masked]>
> 
> 1. Eval:
>     (setq scroll-preserve-screen-position t)
>     (setq scroll-margin 2)
> 
> 2. Visit the attached file.
> 
> On my system, I initially see lines 1 to 33.
> 
> 3. Type 'C-v'
> 
> I observe that 'C-v' has scrolled the buffer vertically, but only by
> about a half of the window height (I now see lines 16 to 48).
> Subsequent 'C-v' commands do the same: they scroll the buffer by a
> half of the window.
> 
> This seems wrong.  The amount of scrolling should be "a near full
> screen", as described in 'C-h k C-v'.

Start the same recipe from line #3 or greater, and the "bug" goes
away.

You asked Emacs to do the impossible: preserve the screen position of
point at the first window line and also not to allow point to enter
the first 2 lines of the window.  Emacs didn't know what to do with
this conflict.  Now it does.